Subject: bug#8159: file-name-sans-version fails for some git files

From: Reuben Thomas <[email-masked]>
Date: Wed, 2 Mar 2011 22:31:12 +0000

filenames like foo.js.~HEAD~1~ aren't handled properly because of the
internal tilde.

This is easily fixable by adding tilde to the character class matched
against (in emacs-23 it's in the source of file-name-sans-version; in
the trunk it's in the more accessible file-name-version-regexp).

It seems to me that git is commonly-enough used that this is probably
worth fixing in the source rather than leaving to users who notice the
problem (especially in emacs-23, where it means redefining
file-name-sans-version).

-- 
http://rrt.sc3d.org